/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : Page.css
 * @Created_at  : 27/06/2022
 * @Update_at   : 27/06/2022
 * ----------------------------------------------------------------
 */

/**
# --------------------------------
# Component
*/

.page {
    display: block;
    position: relative;

    margin: 0.5cm auto;

    font-size: 12px;
    line-height: 1.5;

    background: var(--shiros-cv-page-background);
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .1), 0 10px 20px 0 rgba(0, 0, 0, .15);

    overflow: hidden;
    box-sizing: border-box;
}

/* -- Media type : Print -- */
@media print {
    .page {
        margin: 0;
        box-shadow: none;
    }

    .page[format='A3'],
    .page[format='A4'],
    .page[format='A5'] {
        width: 100%;
        height: 100%;
    }
}

/**
# --------------------------------
# Format
*/

/* -- A3 -- */
.page[format='A3'] {
    width: 29.7cm;
    height: 42cm;
}

/* -- A4 -- */
.page[format='A4'] {
    width: 21cm;
    height: 29.7cm;
}

/* -- A5 -- */
.page[format='A5'] {
    width: 14.8cm;
    height: 21cm;
}

/**
# --------------------------------
# Decoration
*/

.page-decoration {
    display: block;
    position: absolute;

    top: 0;
    left: 0;

    width: 10px;
    height: 100%;

    background: var(--shiros-cv-page-decoration-background);
}
